apiVersion: apps/v1
kind: Deployment
metadata:
  name: enginequis-deployment
  labels:
    app: nginx-server
spec:
  replicas: 3
  selector:
    matchLabels:
      app: nginx-server
  template:
    metadata:
      labels:
        app: nginx-server
    spec:
      containers:
        - name: enginequis-pod
          image: nginx:1.19.4-alpine
          resources:
            limits:
              memory: "128Mi"
              cpu: "20m"
            requests:
              memory: "128Mi"
              cpu: "20m"
          ports:
            - containerPort: 80
